<?php  namespace Concrete\Package\Janolaw\Block\Janolaw;

defined('C5_EXECUTE') or die("Access Denied.");

use Concrete\Core\Block\BlockController;
use Concrete\Package\Janolaw\Src\Janolaw;
use Concrete\Core\Localization\Localization;

class Controller extends BlockController
{
	protected $btTable = 'btJanolawBlock';
	protected $btInterfaceWidth = "400";
	protected $btInterfaceHeight = "200";

	public function getBlockTypeName()
	{
		return t("Janolaw Anti-Warning");
	}
	
	public function getBlockTypeDescription()
	{
		return t("Janolaw Anti-Warning | Imprint and Data Security");
	}
	
	public function add()
    {
		$janolaw = new Janolaw();		
		$this->set('options', $janolaw->getTypes());
	}
	
	public function edit()
    {
		$janolaw = new Janolaw();
		$this->set('options', $janolaw->getTypes());
	}
	
	public function view()
	{
		$janolaw = new Janolaw();
		$janolaw->initUpdate();
		$content = $janolaw->getContentFromConfig($this->type, Localization::activeLanguage());
				
		$this->set('content', $content);
	}
}